package org.jfedor.subwaybuddies;

import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.os.IBinder;
import android.telephony.PhoneStateListener;
import android.telephony.ServiceState;
import android.telephony.TelephonyManager;
import android.util.Log;

public class NetworkStateService extends Service {
	
	TelephonyManager telephonyManager;

	@Override
	public void onCreate() {
		super.onCreate();
		telephonyManager = (TelephonyManager)getSystemService(Context.TELEPHONY_SERVICE);
		telephonyManager.listen(mListener, PhoneStateListener.LISTEN_SERVICE_STATE);
	}

	@Override
	public void onDestroy() {
		telephonyManager.listen(mListener, PhoneStateListener.LISTEN_NONE);
		super.onDestroy();
	}

	@Override
	public int onStartCommand(Intent intent, int flags, int startId) {
		
		return Service.START_STICKY;
	}

	@Override
	public IBinder onBind(Intent intent) {
		// TODO Auto-generated method stub
		return null;
	}

	PhoneStateListener mListener = new PhoneStateListener() {

		@Override
		public void onServiceStateChanged(ServiceState serviceState) {
			if (serviceState.getState() == ServiceState.STATE_OUT_OF_SERVICE) {
				Log.i("BT", "out of service - starting scanner service");
				Intent intent = new Intent(NetworkStateService.this, ScannerService.class);
				startService(intent);
			}
		}
		
	};
}
