package org.jfedor.subwaybuddies;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.app.Activity;
import android.content.Intent;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Toast;

public class SubwayBuddiesActivity extends Activity {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_subway_buddies);
        Button button1 = (Button) findViewById(R.id.button1);
        button1.setOnClickListener(new OnClickListener() {
				@Override
				public void onClick(View v) {
					Intent intent = new Intent(SubwayBuddiesActivity.this, ScannerService.class);
					startService(intent);
				}
		});
        
        Button button2 = (Button) findViewById(R.id.button2);
        button2.setOnClickListener(new OnClickListener() {
				@Override
				public void onClick(View v) {
					File dir = new File(Environment.getExternalStorageDirectory(), "Android/data/org.jfedor.subwaybuddies");
					if (!dir.exists()) {
						dir.mkdirs();
					}
					File dbOnSd = new File(dir, "subwaybuddies.db");
					byte buf[] = new byte[1024];
					try {
						InputStream input = new FileInputStream(getDatabasePath("subwaybuddies.db"));
						OutputStream output = new FileOutputStream(dbOnSd);
						int len;
						while ((len = input.read(buf)) > 0) {
							output.write(buf, 0, len);
						}
						input.close();
						output.close();
						Toast.makeText(getApplicationContext(), "File copied to external storage", Toast.LENGTH_SHORT).show();
					} catch (FileNotFoundException e) {
						throw new RuntimeException(e);
					} catch (IOException e) {
						throw new RuntimeException(e);
					}
				}
		});
        
        Button button3 = (Button) findViewById(R.id.button3);
        button3.setOnClickListener(new OnClickListener() {
				@Override
				public void onClick(View v) {
					Intent intent = new Intent(SubwayBuddiesActivity.this, NetworkStateService.class);
					startService(intent);
				}
		});
        
        Button button4 = (Button) findViewById(R.id.button4);
        button4.setOnClickListener(new OnClickListener() {
				@Override
				public void onClick(View v) {
					Intent intent = new Intent(SubwayBuddiesActivity.this, NetworkStateService.class);
					stopService(intent);
				}
		});

    }

/*
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.activity_subway_buddies, menu);
        return true;
    }
*/

    
}
